package com.develop.common.data_repo.db

import androidx.room.Database
import androidx.room.RoomDatabase
import com.develop.common.data_repo.db.dao.DevConfigDao
import com.develop.common.data_repo.db.dao.UserInfoDao
import com.develop.common.data_repo.db.entity.*

@Database(
    entities = [DevVersion::class, UserInfo::class, UserFavoriteRecipes::class, UserHistoryRecipes::class, UserTag::class, UserOnLineRecipes::class],
    version = 1,
    exportSchema = false
)
abstract class UserDatabase : RoomDatabase() {

    abstract fun userInfoDao(): UserInfoDao

    abstract fun devConfigDao(): DevConfigDao

}